
    var renderMap = function() {

        function initializeGMap() {
          var map;
          var centermap = document.getElementById('center_map').value;
          var points = document.getElementById('points').value;
          var navne = document.getElementById('name').value;
          var onepoint;
          var onexy;
          var marker;
          
          if (points != "") {
            points = points.split(";");
          }
        
          if (navne != "") {
            navne = navne.split(";");
          }
        
          if (centermap != "") {
            onexy = centermap.split(",");
            centermap = new google.maps.LatLng(onexy[0],onexy[1]);
          }
        
          var mapOptions = {
            zoom: 10,
            center: centermap,
            mapTypeId: google.maps.MapTypeId.ROADMAP
          }
        
          var map = new google.maps.Map(document.getElementById('map-canvas'), mapOptions);
        
          for (var iadr = 0; iadr < points.length; iadr++) {
            onexy = points[iadr].split(",");
            onepoint = new google.maps.LatLng(onexy[0],onexy[1]);
            marker = new google.maps.Marker({
              position: onepoint,
              map: map,
              label: String.fromCharCode(65 + iadr),
              title: navne[iadr]
            });
          }
        
            marker = new google.maps.Marker({
              position: centermap,
              map: map,
              icon: 'http://maps.google.com/mapfiles/ms/icons/blue-dot.png',
              title: document.getElementById('center_name').value
            });
          
          
        }
        
        initializeGMap();
    };
    
    var execMap = function() {
        var jsonElem = document.getElementById('center_map');
        if (jsonElem !== null) {
            renderMap();
        } else {
            setTimeout(execMap, 10);
        }
    };